Skip to navigation

✨ Get comment

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired
A unique integer value identifying this comment.

Query parameters

expand_created_bybooleanOptional

Expand the created_by field

Response

Commentobject

Comment Serializer with FSM state support.

Note: The ‘state’ field will be populated from the queryset annotation if present, preventing N+1 queries. Use .with_state() on your queryset.

The state field display is controlled by both:

  • fflag_feat_fit_568_finite_state_management (FSM background calculations)
  • fflag_feat_fit_710_fsm_state_fields (state field display in APIs)
OR
CommentSerializerWithExpandedUserobject

Comment Serializer with FSM state support.

Note: The ‘state’ field will be populated from the queryset annotation if present, preventing N+1 queries. Use .with_state() on your queryset.

The state field display is controlled by both:

  • fflag_feat_fit_568_finite_state_management (FSM background calculations)
  • fflag_feat_fit_710_fsm_state_fields (state field display in APIs)